### Hierarchy

- DatePicker

## Index

### Properties

- changeMonth
- changeYear
- currentMonthPos
- daysOutsideMonth
- footerLayout
- numberOfMonths
- showOn
- stepBigMonths
- stepMonths
- weekDisplay
- yearRange

## Properties

### changeMonth

changeMonth: string

Specifies whether the month should be rendered as a button to allow selection, instead of as text.

### changeYear

changeYear: string

Specifies whether the year should be rendered as a button to allow selection, instead of as text.

### currentMonthPos

currentMonthPos: number

Specifies the position in multiple months at which to show the current month (starting at 0).

### daysOutsideMonth

daysOutsideMonth: string

Specifies the behavior of days outside the current viewing month.

### footerLayout

footerLayout: string

Specifies what content is shown within the footer of the calendar.

### numberOfMonths

numberOfMonths: number

Specifies the number of months to show at once. See the Help documentation for more information.

### showOn

showOn: string

Specifies when the date picker should be shown.

### stepBigMonths

stepBigMonths: number

Specifies the number of months to step backwards and forwards for the Ctrl+Alt+Page Up and Ctrl+Alt+Page Down keystrokes.

### stepMonths

stepMonths: string | number

Specifies how the prev and next keys will step backwards and forwards through the months. See the Help documentation for more information.

### weekDisplay

weekDisplay: string

Specifies whether the week of the year will be shown.

### yearRange

yearRange: string

Specifies the range of years displayed in the year drop-down. See the Help documentation for more information.

Generated using TypeDoc